import QtQuick 1.0
import Qt.labs.components.native 1.0

Item {
    id: button
    property string text

    signal clicked;

    height: 50 * rootWindow.style.scale
//    radius: 5
    width: innerText.width + 20

//    Gradient {
//        id: offGradient
//        GradientStop { position:0.00; color: "#fee87b" }
//        GradientStop { position:0.02; color: "#f79a00" }
//        GradientStop { position:0.49; color: "#f69100" }
//        GradientStop { position:0.50; color: "#f67100" }
//        GradientStop { position:1.00; color: "#f85400" }
//    }

//    Gradient {
//        id: onGradient
//        GradientStop { position:0.00; color: "#998c4a" }
//        GradientStop { position:0.02; color: "#997c01" }
//        GradientStop { position:0.49; color: "#995c01" }
//        GradientStop { position:0.50; color: "#994c00" }
//        GradientStop { position:1.00; color: "#993902" }
//    }

    BorderImage {
        id: onImage
        source: "qrc:///images/bg_bigbtn_orange.9.sci"
        anchors.fill: parent
    }
    BorderImage {
        id: offImage
        source: "qrc:///images/bg_bigbtn_orange_pressed.9.sci"
        anchors.fill: parent
        visible: false;
    }

    Text {
        id: innerText
        text: button.text
        anchors.centerIn: parent
        color: "white"
        font.bold: true
        font.pixelSize: rootWindow.style.fontNormalSize
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked()
    }

    states: State {
        name: "pressed"; when: mouseArea.pressed == true
        PropertyChanges {target: offImage; visible: true}
     }
}
