import QtQuick 1.0
import Qt.labs.components.native 1.0

// A special TabButton with the text under the icon.
TabButton {
    id: root
    property url icon

    style: TabButtonStyle {inverted: true}
    Column {
        anchors {
            left: parent.left
            right: parent.right
            verticalCenter: parent.verticalCenter
        }

        spacing: 0
        Image {
            source: root.icon
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }
}

