.pragma library

// Used to extend a js object with the values from an other object.
// This is similar to the jquery extend function.
function extend(destination, source) {
    for (var property in source) {
        if (source.hasOwnProperty(property)) {
            destination[property] = source[property];
        }
    }
    return destination;
};


// This is a little bit ugly, we could use a better way to find the icons,
var venuesIcon = {
    "/static/img/categories/building/default.gif": "qrc:///images/Venues/building_default.png",
    "/static/img/categories/building/hospital.gif": "qrc:///images/Venues/building_hospital.png",
    "/static/img/categories/building/house.gif": "qrc:///images/Venues/building_house.png",
    "/static/img/categories/building/office.gif": "qrc:///images/Venues/building_office.png",
    "/static/img/categories/building/postoffice.gif": "qrc:///images/Venues/building_postoffice.png",
    "/static/img/categories/education/default.gif": "qrc:///images/Venues/education_default.png",
    "/static/img/categories/education/university.gif": "qrc:///images/Venues/education_university.png",
    "/static/img/categories/entertainment/bar.gif": "qrc:///images/Venues/entertainment_bar.png",
    "/static/img/categories/entertainment/billiards.gif": "qrc:///images/Venues/entertainment_billiards.png",
    "/static/img/categories/entertainment/boardgame.gif": "qrc:///images/Venues/entertainment_boardgame.png",
    "/static/img/categories/entertainment/cinema.gif": "qrc:///images/Venues/entertainment_cinema.png",
    "/static/img/categories/entertainment/default.gif": "qrc:///images/Venues/entertainment_default.png",
    "/static/img/categories/entertainment/karaoke.gif": "qrc:///images/Venues/entertainment_karaoke.png",
    "/static/img/categories/food/cafe.gif": "qrc:///images/Venues/food_cafe.png",
    "/static/img/categories/food/chinese.gif": "qrc:///images/Venues/food_chinese.png",
    "/static/img/categories/food/default.gif": "qrc:///images/Venues/food_default.png",
    "/static/img/categories/food/western.gif": "qrc:///images/Venues/food_western.png",
    "/static/img/categories/public/concert.gif": "qrc:///images/Venues/public_concert.png",
    "/static/img/categories/public/default.gif": "qrc:///images/Venues/public_default.png",
    "/static/img/categories/public/fairground.gif": "qrc:///images/Venues/public_fairground.png",
    "/static/img/categories/public/gallery.gif": "qrc:///images/Venues/public_gallery.png",
    "/static/img/categories/public/library.gif": "qrc:///images/Venues/public_library.png",
    "/static/img/categories/public/museum.gif": "qrc:///images/Venues/public_museum.png",
    "/static/img/categories/public/park.gif": "qrc:///images/Venues/public_park.png",
    "/static/img/categories/public/stadium.gif": "qrc:///images/Venues/public_stadium.png",
    "/static/img/categories/shops/default.gif": "qrc:///images/Venues/shops_default.png",
    "/static/img/categories/shops/mall.gif": "qrc:///images/Venues/shops_mall.png",
    "/static/img/categories/travel/airport.gif": "qrc:///images/Venues/travel_airport.png",
    "/static/img/categories/travel/bus.gif": "qrc:///images/Venues/travel_bus.png",
    "/static/img/categories/travel/default.gif": "qrc:///images/Venues/travel_default.png",
    "/static/img/categories/travel/hotel.gif": "qrc:///images/Venues/travel_hotel.png",
    "/static/img/categories/travel/ship.gif": "qrc:///images/Venues/travel_ship.png",
    "/static/img/categories/travel/subway.gif": "qrc:///images/Venues/travel_subway.png",
    "/static/img/categories/travel/train.gif": "qrc:///images/Venues/travel_train.png"
}

function getVenueIcon(icon) {
    var ret = venuesIcon[icon];
    if (ret !== undefined)
        return ret;
    else
        return "qrc:///images/Venues/default.png";
}
