import QtQuick 1.0
import Qt.labs.components.native 1.0
import "../Common" as Common

QueryDialog {

    property alias message: text.text // read only

    id: addFriendDialog
    height: 100
    titleText: qsTr("Add Friend")
    acceptButtonText: qsTr("Add as friend")
    rejectButtonText: qsTr("Cancel")
    content: Item {
        anchors.fill: parent
        TextArea {
            id: text
            anchors {
                left: parent.left
                right: parent.right
                top: parent.top
                bottom: buttons.top
                margins: 10
            }

            placeholderText: qsTr("Add a personal note to %1").arg(userNick)
        }
    }
}
