import QtQuick 1.0

Text {
    property date date
    text: dateString(date);

    // TODO: we could improve this a lot.
    function dateString(dateQml) {
        // The date difference in milliseconds.
        var currentDate = new Date()
        var date = new Date(dateQml)
        var milliseconds = Math.floor(currentDate.getTime() - date.getTime())
        var seconds = Math.floor(milliseconds / 1000)
        if (seconds <= 1)
            return qsTr("Just now")
        if (seconds < 60)
            return qsTr("%1 seconds ago").arg(seconds)
        var minutes = Math.floor(seconds / 60)
        if (minutes == 1)
            return qsTr("One minute ago")
        if (minutes < 60)
            return qsTr("%1 minutes ago").arg(minutes)
        var hours = Math.floor(minutes / 60)
        if (hours == 1)
            return qsTr("An hour ago")
        if (hours < 24)
            return qsTr("%1 hours ago").arg(hours)
        var days = Math.floor(hours / 24)
        if (days == 1)
            return qsTr("Yesterday")
        if (days < 30)
            return qsTr("%1 days ago").arg(days)

        return Qt.formatDateTime(dateQml, "yyyy-MM-dd")
    }

}
