import QtQuick 1.0

// Used in the user profile page.
Rectangle {

    property url icon
    property variant score

    signal clicked

    color: "lightblue"
    radius: 10
    Row {
        anchors.centerIn: parent
        spacing: 5
        Image {
            anchors.verticalCenter: parent.verticalCenter
            source: icon
        }
        Text {
            anchors.verticalCenter: parent.verticalCenter
            text: (score === undefined)? "-" : score
            font.bold: true
            font.pixelSize: 16
            color: "white"
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: parent.clicked()
    }
}
