import QtQuick 1.0
import Qt.labs.components.native 1.0
import "../Common" as Common

QueryDialog {

    id: dialog

    property alias city: cityPicker.city
    titleText: qsTr("Change City")
    acceptButtonText: qsTr("Change City")
    rejectButtonText: qsTr("Cancel")

    onAccepted: {
        var url = "/account/edit.json";
        var args = {"city": dialog.city}
        rootWindow.request(url, args, undefined, undefined, function(ret, obj) {});
    }

    content: Common.CityPicker {
        id: cityPicker
    }
}
